%define _lto_cflags %{nil}
ExclusiveArch:  x86_64

Name:           wineasio
Version:        1.1.0
Release:        %mkrel 1
Summary:        ASIO to JACK driver for wine
License:        LGPL-2.1-or-later
Group:          Emulators
URL:            https://github.com/wineasio/wineasio
Source0:        https://github.com/wineasio/wineasio/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch0:         winedll.patch
Patch1:         Respect-channel-numbers-requested-by-host-application.patch

BuildRequires:  ed
BuildRequires:  pkgconfig
BuildRequires:  wine64-devel
BuildRequires:  pkgconfig(jack)

%description
WineASIO provides an ASIO to JACK driver for WINE.
ASIO is the most common Windows low-latency driver,
so is commonly used in audio workstation programs.

After install run: (modify if you have different wine prefix)
for 64 bit apps:
ln -s /usr/lib64/wine/x86_64-windows/wineasio.dll ~/.wine/drive_c/windows/system32/wineasio.dll
wine64 regsvr32 wineasio.dll

for 32 bit apps:
ln -s /usr/lib/wine/i386-windows/wineasio.dll ~/.wine/drive_c/windows/syswow64/wineasio.dll
regsvr32 wineasio.dll

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%ifarch x86_64
make 64
#winebuild --dll --fake-module -E wineasio.dll.spec build64/asio.c.o build64/main.c.o build64/regsvr.c.o -o wineasio.dll
%else
%make_build 32
%endif

%install
%ifarch x86_64
mkdir -p %{buildroot}/%{_libdir}/wine/x86_64-unix
mkdir -p %{buildroot}/%{_libdir}/wine/x86_64-windows
cp build64/wineasio.dll.so %{buildroot}/%{_libdir}/wine/x86_64-unix/
cp build64/wineasio.dll %{buildroot}/%{_libdir}/wine/x86_64-windows/
%else
mkdir -p %{buildroot}/%{_libdir}/wine/i386-unix
mkdir -p %{buildroot}/%{_libdir}/wine/i386-windows
cp build32/wineasio.dll.so %{buildroot}/%{_libdir}/wine/i386-unix/
cp build32/wineasio.dll %{buildroot}/%{_libdir}/wine/i386-windows/
%endif
cd gui
%make_install

%files
%doc README.md
%ifarch x86_64
%{_libdir}/wine/x86_64-unix/wineasio.dll.so
%{_libdir}/wine/x86_64-windows/wineasio.dll
%else
%{_libdir}/wine/i386-unix/wineasio.dll.so
%{_libdir}/wine/i386-windows/wineasio.dll
%endif
%{_bindir}/wineasio-settings
%dir %{_datadir}/wineasio
%{_datadir}/wineasio/settings.py
%{_datadir}/wineasio/ui_settings.py

%changelog
* Sun Feb 19 2022 yodelu - 1.1.0-1pclos2022
- import
